package com.supervision.police.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.supervision.police.domain.NoteRecord;
import com.supervision.police.domain.NoteRecordSplit;
import com.supervision.police.dto.NoteRecordDTO;

import java.io.IOException;
import java.util.Map;

public interface NoteRecordSplitService extends IService<NoteRecordSplit> {

    String uploadRecords(NoteRecordDTO records) throws IOException;

    Map<String, Object> queryRecords(NoteRecord noteRecord, Integer page, Integer size);

    void delRecords(String id);

}
